<html>
<head>
<title>listbox.py</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<style type="text/css">
.s0 { color: #cc7832;}
.s1 { color: #a9b7c6;}
.s2 { color: #6897bb;}
.s3 { color: #6a8759;}
</style>
</head>
<body bgcolor="#2b2b2b">
<table CELLSPACING=0 CELLPADDING=5 COLS=1 WIDTH="100%" BGCOLOR="#606060" >
<tr><td><center>
<font face="Arial, Helvetica" color="#000000">
listbox.py</font>
</center></td></tr></table>
<pre><span class="s0">from </span><span class="s1">tkinter </span><span class="s0">import </span><span class="s1">*</span>

<span class="s1">root = Tk()</span>

<span class="s0">def </span><span class="s1">on_btn_clicked():</span>
    <span class="s1">indexes = list_box.curselection()</span>
    <span class="s0">for </span><span class="s1">index </span><span class="s0">in </span><span class="s1">indexes:</span>
        <span class="s1">print(list_box.get(index))</span>

<span class="s1">list_box = Listbox(root</span><span class="s0">, </span><span class="s1">selectmode=MULTIPLE)</span>
<span class="s1">list_box.insert(</span><span class="s2">1</span><span class="s0">, </span><span class="s3">'Python'</span><span class="s1">)</span>
<span class="s1">list_box.insert(</span><span class="s2">2</span><span class="s0">, </span><span class="s3">'Java'</span><span class="s1">)</span>
<span class="s1">list_box.insert(</span><span class="s2">3</span><span class="s0">, </span><span class="s3">'HTML'</span><span class="s1">)</span>
<span class="s1">list_box.insert(</span><span class="s2">4</span><span class="s0">, </span><span class="s3">'UI/UX'</span><span class="s1">)</span>
<span class="s1">list_box.insert(</span><span class="s2">5</span><span class="s0">, </span><span class="s3">'Database'</span><span class="s1">)</span>

<span class="s1">btn = Button(root</span><span class="s0">, </span><span class="s1">text=</span><span class="s3">'Get Data'</span><span class="s0">, </span><span class="s1">command=on_btn_clicked)</span>

<span class="s1">list_box.pack()</span>
<span class="s1">btn.pack()</span>

<span class="s1">root.geometry(</span><span class="s3">'300x300'</span><span class="s1">)</span>
<span class="s1">root.mainloop()</span></pre>
</body>
</html>